{ pkgs ? import <nixpkgs> {} }:

with pkgs.lib;
let
  loadYaml = import ./load-yaml.nix { inherit pkgs; };
in
builtins.foldl' (result: filename:
  recursiveUpdate result (loadYaml filename)
) {} (filesystem.listFilesRecursive ../../salt-pillar)
